/*
 * Copyright (C) 2014 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef GLADE_MODEL_EDITOR_H
#define GLADE_MODEL_EDITOR_H

#include "glade-vn.h"

#define GLADE_TYPE_MODEL_EDITOR				(glade_model_editor_get_type ())
#define GLADE_MODEL_EDITOR(obj)				(G_TYPE_CHECK_INSTANCE_CAST ((obj), GLADE_TYPE_MODEL_EDITOR, GladeModelEditor))
#define GLADE_MODEL_EDITOR_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST ((klass), GLADE_TYPE_MODEL_EDITOR, GladeModelEditorClass))
#define GLADE_IS_MODEL_EDITOR(obj)			(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GLADE_TYPE_MODEL_EDITOR))
#define GLADE_IS_MODEL_EDITOR_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE ((klass), GLADE_TYPE_MODEL_EDITOR))
#define GLADE_MODEL_EDITOR_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS ((obj), GLADE_TYPE_MODEL_EDITOR, GladeModelEditorClass))

typedef struct _GladeModelEditor		GladeModelEditor;
typedef struct _GladeModelEditorClass	GladeModelEditorClass;

struct _GladeModelEditor
{
	GtkVBox  parent;

	GtkWidget * base;
	GList * props;
};

struct _GladeModelEditorClass
{
	GtkVBoxClass parent;
};

GType			glade_model_editor_get_type (void) G_GNUC_CONST;
GtkWidget *		glade_model_editor_new		(GladeWidgetAdaptor * adaptor,
											GladeEditable * editable);

#define	GLADE_TYPE_DB_LIST (glade_db_list_get_type())

typedef struct _GladeDbList GladeDbList;

struct _GladeDbList
{
	GtkListStore * list;
};

GType			glade_db_list_get_type		(void) G_GNUC_CONST;
void			glade_db_list_free			(GladeDbList * list);
GladeDbList *	glade_db_list_copy			(const GladeDbList * list);

#endif
