/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SQL_TARGET_H
#define SQL_TARGET_H

#include "sql-object.h"

#define SQL_TYPE_TARGET		(sql_target_get_type ())
#define SQL_TARGET(obj)		(G_TYPE_CHECK_INSTANCE_CAST (obj, SQL_TYPE_TARGET, SqlTarget))
#define SQL_IS_TARGET(obj)	(G_TYPE_CHECK_INSTANCE_TYPE (obj, SQL_TYPE_TARGET))

typedef struct _SqlTarget SqlTarget;
typedef struct _SqlTargetClass SqlTargetClass;

struct _SqlTarget
{
	SqlObject parent;
	gchar * alias;
};

struct _SqlTargetClass
{
	/* <private> */
	SqlObjectClass parent;
};

GType	sql_target_get_type		();
void	sql_target_set_alias	(SqlTarget * obj, const gchar * alias);

#endif