/*
 * Copyright (C) 2012 - Juan Ferrer Toribio
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef VN_ITERATOR_H
#define VN_ITERATOR_H

#include <db/db.h>
#include <gtk/gtk.h>

#define VN_TYPE_ITERATOR			(vn_iterator_get_type ())
#define VN_ITERATOR(obj)			(G_TYPE_CHECK_INSTANCE_CAST (obj, VN_TYPE_ITERATOR, VnIterator))
#define VN_IS_ITERATOR(obj)			(G_TYPE_CHECK_INSTANCE_TYPE (obj, VN_TYPE_ITERATOR))
#define VN_ITERATOR_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST (klass, VN_TYPE_ITERATOR, VnIteratorClass))
#define VN_IS_ITERATOR_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE (klass, VN_TYPE_ITERATOR))
#define VN_ITERATOR_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS (obj, VN_TYPE_ITERATOR, VnIteratorClass))

typedef struct _VnIterator		VnIterator;
typedef struct _VnIteratorClass VnIteratorClass; 

struct _VnIterator
{
	DbIterator iterator;
	GList * params;
};

struct _VnIteratorClass
{
	DbIteratorClass parent;
};

GType vn_iterator_get_type ();

void	vn_iterator_add_param		(DbIterator * obj, DbParam * param);
void	vn_iterator_remove_param	(DbIterator * obj, DbParam * param);
GList * vn_iterator_get_params		(DbIterator * obj);

#endif
